Summary:       Conversion library and mapping compiler
Name:          teckit
Version:       2.5.12
Release:       1%{?dist}
License:       (LGPLv2+ or CPL) and (LGPLv2+ or GPLv2+ or MPLv2.0 or MPLv1.1)
URL:           https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=teckit
Source0:       https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz
Source1:       LICENSE.txt

BuildRequires: autoconf automake coreutils expat-devel gcc-c++ gnupg2
BuildRequires: libtool make zlib-devel perl-interpreter perl(strict) perl(warnings)
Provides:      bundels(graphite2)

%description
TECkit is a low-level toolkit intended to be used by other applications that need to perform
encoding conversions (e.g., when importing legacy data into a Unicode-based application). The
primary component of the TECkit package is therefore a library that performs conversions; this is
the "TECkit engine".  The engine relies on mapping tables in a specific binary format (for which
documentation is available); there is a compiler that creates such tables from a human-readable
mapping description (a simple text file).

%package devel
Summary:        Developmental files for TECkit library
License:        LGPLv2+ or CPL
Requires:       %{name} = %{version}-%{release}

%description devel
Header files, pkg-config module, and documentation for developing application that use TECkit, a
character encoding and mapping, library.

%prep
%autosetup -n %{name}-%{version} -p1

rm -r zlib-*/*.c SFconv/expat
autoreconf -fi

%build
%configure \
    --disable-debug \
    --disable-final \
    --without-old-lib-names \
    --disable-profile \
    --disable-profilefn \
    --enable-shared \
    --disable-static \
    --with-system-zlib \
    --disable-tetex-build
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
%make_build check

%files
%license license/*
%doc AUTHORS NEWS README
%{_bindir}/sfconv
%{_bindir}/teckit_compile
%{_bindir}/txtconv
%{_libdir}/libTECkit.so.0
%{_libdir}/libTECkit.so.0.*
%{_libdir}/libTECkit_Compiler.so.0
%{_libdir}/libTECkit_Compiler.so.0.*
%{_mandir}/man1/*

%files devel
%doc docs/*.pdf
%{_includedir}/teckit/
%{_libdir}/libTECkit.so
%{_libdir}/libTECkit_Compiler.so
%{_libdir}/pkgconfig/teckit.pc

%changelog
* Fri Dec 22 2023 Upgrade Robot <upbot@opencloudos.org> - 2.5.12-1
- Upgrade to version 2.5.12

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.9-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 2.5.9-1
- initial build
